/* EWL
 * Copyright © 2012 Freescale Corporation.  All rights reserved.
 *
 * long double entry point for libm.a, long double are folded onto double
 * 
 * $Date: $
 * $Revision: $
 */

#include <math.h>



long double _EWL_MATH_CDECL sinhl(long double x) 
{

#if _EWL_USES_SUN_DP_MATH_LIB 
return (long double)(sinh)((double)(x)); 
#else 
return (long double)(sinhf)((float)(x)); 
#endif 
}

